\name{file.out.RG}
\alias{file.out.RG}
\title{Write a microarray experiment into a tab delimited file}
\description{This function is provided to convert reference design
  experiments from various existing data structures to a standardised
  tab delimited output file format.
}
\usage{file.out.RG(info, RG, wrtchn=F)}
\arguments{
  \item{info}{A fspma info structure}
  \item{RG}{A YASMA RG object that is written as tab delimited file.}
  \item{wrtchn}{A boolean flag to control whether we write log ratios
    (default) or log channel information (set wrtchn=TRUE).}
}
\value{
  The function writes the experiments log ratios and the corresponding
  effect values into tab delimited files that can be used as input to
  other processing tools. 
}
\details{This function is provided to convert reference design
  experiments from various existing data structures to a standardised output
  file format. The function writes two files, both names start as is
  specified in info\$datoutfname (entry DataOutFnam: in the definition
  file). Depending on wrtchn, the first file(s) store(s) either log
  ratios between Cy5 and Cy3 and thus ends with 'logrt.dat', or there are two
  files with log channel values which end with 'logR.dat' and
  'logG.dat'. The function also stores the classification
  information (i.e. the grouping information) of the experiment and is
  stored in the file ending with 'effdesc.dat'.
}
\examples{
\dontrun{
# read the data according to the definition in info
RG <- tabdel2rg(info)
# write log ratios and corresponding effect values as tab delimited
# files
file.out.RG(info, RG)
}
}
\seealso{
  \code{\link{tabdel2rg}}, \code{\link{deffile.def}}, \code{\link{fspma.wrapper}},
}
\keyword{IO}
