\name{fspma.set.globals}
\alias{fspma.set.globals}
\alias{fspma.eps}
\alias{fspma.knn.max.tol}
\alias{fspma.logfile}
\title{FSPMA globals and handling function}
\description{Global variables that are used internaly to control
  FSPMA's functionality and handler function.}
\usage{
fspma.eps
fspma.knn.max.tol
fspma.logfile
fspma.set.globals(this.eps=10^-10, this.knn.max.tol=0.001,
    this.logfile='fspma.log.txt')
}
\arguments{
  \item{this.eps}{eps value written to fspma.eps. The latter is used
    in FSPMA as lower bound of expression
    values before moving to log 2 scale.}
  \item{this.knn.max.tol}{maximum tolerance limit written to
    fspma.lnn.max.tol. The latter controls the number of iterations in knn
    imputing.}
  \item{this.logfile}{file name copied to fspma.logfile. The lattre is
    used as sink to write error messages and the processing status.}
}
\value{
  The function has no value but writes to FSPMA global variables.
}
\examples{
\dontrun{
## set a different log file
fspma.set.globals(this.logfile='mylog.txt')
## which is now used by fspma.wrapper to write the processing status.
ret <- fspma.wrapper('myexperiment.def')
## reset to fspma defaults
fspma.set.globals()
}
}
\keyword{misc}