\name{specify.experiments}
\alias{specify.experiments}
\title{Explains how to set up the definition file for different
  experimental conditions.
} 
\description{
  The package fspma can be used to analyse all experiments, as
  long as they are reference designs. We may work with double and single channel
  data, with and without background. The input to the fspma scripts may
  also be normalized "meta" information.
}
\usage{
  (1) Genepix spotted files
  (2) Bluefuse spotted files
  (3) Affymetrix files
  (4) Pre-processed (normalized) meta information
}
\arguments{
  \item{(1)}{Specify R, Rb, G and Gb columns (\code{\{R,Rb,G,Gb\}.colnam:}).
    Specify normalization by setting \code{Normalization:} and finally set
    \code{DoRG2logarray:    T} (i.e. move to log scale).
  }
  \item{(2)}{Specify R and G columns (\code{\{R,G\}.colnam:}). The
    channel background is initialized by 0.
    Specify normalization by setting \code{Normalization:} and finally set
    \code{DoRG2logarray:    T} (i.e. move to log scale).
  }
  \item{(3)}{Specify the R column only (\code{R.colnam:}). G
    is initialized with 1 and all channel background with 0.
    Specify normalization by setting \code{Normalization:} (\bold{NO} loess
    normalization without spikes for single channel data!) and finally set
    \code{DoRG2logarray:    T} (i.e. move to log scale).
  }
  \item{(4)}{For meta information available as ratios or expression
    values: Specify the corresponding column as R channel, turn off
    normalization by setting \code{Normalization: 	NA} and set
    \code{DoRG2logarray:	T}. For meta information available as
    log expression or log ratio: same as above however with
    \code{DoRG2logarray:	F}.
  }
}
\details{In addition one can use spike based normalization and imputing
  if this is necesary.}
\seealso{
  \code{\link{fspma.wrapper}}, \code{\link{tabdel2rg}},
  \code{\link{deffile.def}}, \code{\link{treat.na}} and \code{\link{spike.normalize}}.
}
\keyword{documentation}
\keyword{IO}
