%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (bfanova.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{bfaov}
 \alias{bfaov}
 \alias{set.formula}
 \title{Efficient ANOVA of balanced factorial designs}
 \description{
   Efficient ANOVA for balanced factorial data matrix, where each
   dimension corresponds to a main effect. 
 }
 \usage{
   bfaov(formula,a)
   bfaov(a)
   set.formula(anv,formula)
 }
 \arguments{
   \item{formula}{a model formula without response variable
     (the matrix entries themselves), eg ~(V+S/A)\^2 + G, all variety
     V, sample S, and array A (nested in S) main effects and
     their interaction effects, plus gene G main effect only}
   \item{a}{a balanced factorial matrix with effects as dimension, as
     obtained for example by \code{\link{rg2log.array}}. The formula
     might be attached to \code{a} by \code{\link{set.formula}} in
     which case it can be omitted. If no formula is given (neither
     explicitely nor attached) all interactions are assumed.}
   \item{anv}{a bfaov object as generated by \code{bfaov}}
 }
 \value{
   bfaov object, can be analysed by \code{\link{anova.bfaov},
   coefficients are obtained by \code{\link{coef.bfaov}}, for more
   analysis functions see below}
 }
 \details{
   Most ANOVA algorithms operate on the \eqn{X'X}{X'X} matrix where
   \eqn{X}{X} is the design matrix, the size of which is determined
   by the levels of effects and their interactions. Since gene
   effects and their interactions can have thousands of levels, this
   approach is not feasible computationally for microarray
   experiments. In case of balanced factorial designs there are
   simple explicit solutions to the normal equations derived from the
   above matrix which are implemented here. Missing data might be
   interpolated by \code{\link{interpolate.bfaov}}
 }
 \examples{
   data(trcs)
   RG <- rg.remove.quantile(trcs.RG,0.1)
   a <- rg2log.array(RG)
   av <- bfaov(~(V+G+S/A)^2,a)
   anova(av)
   av <- set.formula(av,~(V+S/A)^2 + G + V:G)
   anova(av)
 }
 \seealso{
   \code{\link{rg2log.array}},\code{\link{anova.bfaov}},
   \code{\link{coef.bfaov}},\code{\link{interpolate.bfaov}}
 }
 \keyword{models}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
