%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (bfanova.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{diff.vg}
 \title{Significance of variety-gene effects from ANOVA analysis}
 \alias{diff.vg}
 \alias{sd.vg}
 \alias{limit.vg}
 \alias{hist.vg}
 \description{
   Functions to estimate the significance of over- and
   under-expression from the residual MSE error of the ANOVA model
   \code{\link{bfaov}}.
 }
 \usage{
   diff.vg(a,normalize=T)
   sd.vg(anv,formula=NULL)
   limit.vg(anv,p.value=0.05,formula=NULL)
   hist.vg(anv,p.value=0.05,formula=NULL,a=NULL,normalize=T)
 }
 \arguments{
   \item{a}{a balanced factorial data array, see
     \code{\link{rg2log.array}} }
   \item{anv}{a bfaov object, see \code{\link{bfaov}}}
   \item{p.value}{p-value for significance estimates}
   \item{formula}{the formula to use for evaluation,
     if NULL, the anova object formula is used}
   \item{normalize}{if TRUE, normalization for fold-change}
 }
 \value{
   \item{diff.vg}{returns the vector of VG effects}
   \item{sd.vg}{returns the standard deviation derived from the
     residual MSE of the ANOVA model, which is approximately
     \eqn{\sqrt{2 MSE/d}}{sqrt(2*MSE/d)}, where \eqn{d}{d} is the
     number of measurements of a gene on one channel }
   \item{limit.vg}{returns the limits for over-/under-expression given
     a particular p-value}
   \item{hist.vg}{plots the limits from \code{limit.vg} on a
     histogram of VG effects from \code{diff.vg}}
 }
 \details{
   The variety-gene effect VG is the difference of the average level
   of a gene G between the R and G channel corrected for the overall
   difference of averages of R and G. The residual MSE of the ANOVA
   model is used to estimate the standard deviation of an expression
   level. Assuming normal distribution of the residual error p-values
   for over- and under-expression can be derived.
 }
 \examples{
   data(trcs)
   plot(diff.vg(trcs.av$data))
   hist.vg(trcs.av)
   limit.vg(trcs.av)
   sd.vg(trcs.av)
 }
 \seealso{
   \code{\link{bfaov}}
 }
 \keyword{models}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
