%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (bfanova.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{pvalue.fdr}
\alias{pvalue.fdr}
 \title{Benjamini-Hochberg FDR adjustment for multiple testing p-values}
 \description{
   Applies the FDR adjustment to a vector of p-values.
 }
 \usage{pvalue.fdr(pvalue,step=T)}
 \synopsis{pvalue.fdr(pvalue,step=T)}
 \arguments{
   \item{pvalue}{vector of p-values from mutiple tests that need to be
     adjusted}
   \item{step}{if TRUE, monotonicity of p-values is enforced}
 }
 \details{
   Suppose out of \eqn{R}{R} rejected hypotheses (supposedly
   significant cases) \eqn{V}{V} are erroneously rejected (not really
   significant). The false discovery rate is
   \eqn{Q=V/R}{Q=V/R}. Controlling the FDR at a level of \eqn{p}{p}
   means that \eqn{p(Q>0)E(Q|Q>0) <= p}{p(Q>0) E(Q|Q>0) <= p}. The
   test statistics are assumed to be independent.
 }
 \value{
   a vector of adjusted p-values
 }
 \examples{
   data(trcs)
   RG <- rg.remove.quantile(trcs.RG,0.1,level=1)
   ou <- t.statistic(RG)
   p.fdr <- pvalue.fdr(ou$p.over)
   RG$genes[p.fdr < 0.05]
 }
 \references{
   Benjamini, Y. and Hochberg, Y. (1995), \emph{Controlling the false
   discovery rate: a practical and powerful approach to multiple
   testing}, Journal of the Royal Statistical Society, Series B. 57:
   289--300
 }
 \seealso{
   \code{\link{t.statistic}},
   \code{\link{data.over.under}}
 }
 \keyword{htest}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
