%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg.cor}
 \alias{rg.cor}
 \title{Correlation between experiments}
 \description{
   The pairwise correlation of log ratios of the experiments
 }
 \usage{
   rg.cor(RG,method=c("pearson","kendall","spearman"),
       cluster=c("correlation","euclidean"),
       ptype=c("none","tex","txt"),file="",
       show=T,avg=NULL,
       clustering.method=c("ward","single","average","complete"))
 }
 \synopsis{rg.cor(RG, method = c("spearman","pearson", "kendall"), cluster=c("correlation","euclidean"), ptype=c("none","tex","txt"),file="",show=T,avg=NULL, clustering.method=c("ward","single","average","complete"))}
 \arguments{
   \item{RG}{RG microarray data structure}
   \item{method}{arguments for the correlation function,
     \code{"pearson"} is the standard rank correlation,
     \code{"spearman"} and \code{"kendall"} are Spearman's and
     Kendall's rank correlation coefficients,
     note that \code{"kendall"} might be slow}
   \item{cluster}{"correlation", (default) clustering distance is
     \eqn{1-c^2}{1-c^2}; "euclidean", euclidean distance}
   \item{ptype}{"tex", the printout is as a \emph{latex} table;
     "txt", a tab delimited table}
   \item{file}{output file for \code{ptype} "tex" and "txt"}
   \item{show}{plot clustering tree, default T}
   \item{avg}{a list of vectors indicating which experiments should
     be averaged over to reduce the size of the correlation table}
   \item{clustering.method}{clustering methods, see \code{\link{hclust}}}
 }
 \details{
   The assumption is that the experiments are repetitions of the same
   basic experiment and hence they should be very similar. How
   similar they actually are can be tested with this function. It
   also plots a hierarchical clustering tree according to either the
   correlation matrix, or the euclidean distance of the experiments.
 }
 \value{
   no return value
 }
 \examples{
   data(trcs)
   rg.cor(trcs.RG)
   # average over spot quantifications, reducing 12 to 6 sets:
   tmp <- rg.cor(trcs.RG,ptype="txt",
       avg=list(1:2,3:4,5:6,7:8,9:10,11:12))
 }
 \keyword{cluster}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
