%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg.loess.array.normalize}
\alias{rg.loess.array.normalize}
 \title{Loess normalization of RG values over microarray}
 \description{
   Normalizes the log of R and G values separately (or their combined
   log difference) over the microarray by subtracting a
   two-dimensional loess local trend surface.
 }
 \usage{
   rg.loess.array.normalize(RG,
     method=c("ratio","rg","bg"),
     deg=2,span=0.35,persp=F,
     n.grid=100,n.color=200,show.color=T,
     show.points=F,
     auto.mfrow=T,p.high=1.0,p.low=0.0)
 }
 \synopsis{rg.loess.array.normalize(RG, method=c("ratio","rg","bg"), deg=2,span=0.35,persp=F, n.grid=100,n.color=200,show.color=T,show.points=F, auto.mfrow=T,p.high=1.0,p.low=0.0)}
 \arguments{
   \item{RG}{RG microarray data structure, see \code{\link{read.rg}},
     with x (\code{RG$x}) and y (\code{RG$y}) coordinates}
   \item{method}{"ratio", log ratio values are normalized;
     "rg", \eqn{\log_2(R)}{log2(R)} and
        \eqn{\log_2(R)}{log2(R)} are normalized separately,
     "bg", only backround is normalized}
   \item{deg}{degree of \code{\link{loess}} fit, default 2}
   \item{span}{span of \code{\link{loess}} fit, default 0.35}
   \item{persp}{if TRUE, perspective views on surfaces instead of contour
     plots are shown}
   \item{n.grid}{number of grid points in plots}
   \item{n.color}{number of color shades}
   \item{show.color}{if TRUE, color plots are shown, gray plots else}
   \item{show.points}{if TRUE, gene spots are shown}
   \item{p.low,p.high}{lower and upper percentiles of values to remove
     before fitting surface}
   \item{auto.mfrow}{if TRUE, layout of plots calculated}
 }
 \details{
   Often uneven hybridization across the array is observed. This can
   be corrected by fitting and subtracting a 2-dimensional loess
   surface. It might be either applied to the log ratio values or to
   the two channels separately (or to the background).
 }
 \value{
   an RG structure with normalized R and G values, Rb and Gb are zero
 }
 \examples{
   data(trcs)
   RG.norm <- rg.loess.array.normalize(trcs.RG)
   # R and R separately for array 1
   tmp <- rg.loess.array.normalize(rg.project(trcs.RG,1),
       method="rg", show.points=T)
 }
 \seealso{
   \code{\link{read.rg}}, \code{\link{init.data}},
   \code{\link{loess}},
 }
 \keyword{manip}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
