%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg.rsq.plot}
 \alias{rg.rsq.plot}
 \alias{rg.rsq}
 \title{Diagnostics of low expression genes}
 \description{Plots correlation \eqn{R^2}{R^2} between
   all experiments over lower quantiles of data points removed}
 \usage{
   rg.rsq.plot(RG,p.end=0.6,p.start=0.0,
       method=c("spearman","pearson"),
       length=20,level=1,p.high=1,
       do.prcomp=F,intensities=T)
   rg.rsq(RG,p.low=0.0,
       method=c("spearman","pearson"),
       level=1,p.high=1,
       do.prcomp=F,intensities=T)
 }
 \arguments{
   \item{RG}{RG microarray data structure}
   \item{p.start, p.end}{the range of lower quantiles of points to
     remove}
   \item{method}{"spearman", Spearman rank correlation;
     "pearson", Pearson correlation}
   \item{length}{number of evaluation points of plot}
   \item{level}{number of experiments for which a data point must lie in
     the given quantiles to be removed,
     compare \code{\link{rg.failure.histogram}}}
   \item{p.high}{the upper quantile to remove from all experiments}
   \item{p.low}{the lower quantile to remove before calculating 
         \eqn{R^2}{R^2}}
   \item{do.prcomp}{see \code{\link{rg.remove.quantile}}}
   \item{intensities}{see \code{\link{rg.remove.quantile}}}
 }
 \details{
   How effective is \code{\link{rg.remove.quantile}} in improving the
   quality of genes not removed? The overall \eqn{R^2}{R^2} after
   removal of lowest quantiles of intensity genes is caculated for
   various quantiles. Log ratio values \eqn{y_{gk}}{y_gk} are
   considered for gene \eqn{g}{g} and array \eqn{k}{k}. The
   \eqn{R^2}{R^2} of a one-way ANOVA with genes as treatment groups
   is calculated, the ratio of variation between gene variation
   (estimated by averages) and the total variation. A variant uses
   variation along the principal axis compared to total variation.
   The more data points with low spot intensity and high variation
   are removed the better the signal usually becomes. This is shown
   in the plot. To remove data points, choose a suitable quantile
   resulting in a good signal without removing too many points
   (usually around 0.1 to 0.3).
 }
 \value{
   \code{rg.rsq} returns \eqn{R^2}{R^2} value
 }
 \examples{
   data(trcs)
   rg.rsq.plot(trcs.RG)
 }
 \seealso{
   \code{\link{rg.remove.quantile}}
 }
 \keyword{hplot}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
