%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg.zero.bg}
 \alias{rg.zero.bg}
 \alias{rg.sub.bg}
 \alias{rg.add2bg}
 \title{Background manipulation}
 \description{
   Subtracts background from signal, adds to background, or sets
   background to zero
 }
 \usage{
   rg.zero.bg(RG)
   rg.sub.bg(RG,min.val=1)
   rg.add2bg(RG,r,g=NULL)
 }
 \arguments{
   \item{RG}{RG microarray data structure, see \code{\link{read.rg}}}
   \item{min.val}{negative values (background higher than signal) 
       are reset to min.val}
   \item{r,g}{values to add to background, if only \code{r} is given
       \code{g} is set to \code{r}}
 }
 \value{
   RG structure
 }
 \details{
   \code{rg.sub.bg} subtracts background from signal and sets
   background to 0, \code{rg.zero.bg} sets background to zero,
   \code{rg.add2bg} adds constants to background
 }
 \examples{
   data(trcs)
   # reduce background values
   RG <- rg.add2bg(trcs.RG,r=-500,g=-500)
   RG <- rg.sub.bg(RG)
 }
 \seealso{
   \code{\link{read.rg}}
 }
 \keyword{manip}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
