%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg2ma}
 \alias{rg2ma}
 \alias{ma2rg}
 \alias{ma.write}
 \title{Interconversion of RG and MA structure}
 \description{
   Converts R, G channel data into M (differential expression),
   A (intensity) data
 }
 \usage{
   rg2ma(RG,normalize=F)
   ma2rg(MA)
   ma.write(RG,i=0,file="ma.dat",normalize=T)
 }
 \synopsis{rg2ma(RG,normalize=F)}
 \arguments{
   \item{RG}{RG, R, G channel microarray data structure,
     see \code{\link{read.rg}}}
   \item{MA}{MA, differential expression, intensity microarray
     data structure}
   \item{normalize}{if TRUE, \eqn{\log_2(R)}{log2(R)}
     and \eqn{\log_2(G)}{log2(G)} values are
     centralized}
   \item{file}{file name}
   \item{i}{index of experiment to write, if 0 average of A and M values
     are used}
 }
 \details{
   \code{MA$A} contains
   \eqn{(log_2(R-Rb)+log_2(G-Gb))/2}{(log2(R-Rb)+log2(G-Gb))/2} and
   \code{MA$M} contains
   \eqn{(log_2(R-Rb)-log_2(G-Gb))/2}{(log2(R-Rb)-log2(G-Gb))/2}. This
   amounts to a rotation by \eqn{\pi/4}{pi/4} of the
   \eqn{log_2(R)}{log2(R)} over \eqn{log_2(G)}{log2(G)} plot.
   \code{ma.write} writes the MA values to a file.
 }
 \value{
   an RG or MA structure, compare \code{\link{init.data}}
   from the \code{sma} package
 }
 \examples{
   data(trcs)
   MA <- rg2ma(trcs.RG)
   plot(MA$A[,1],MA$M[,1])
   RG <- ma2rg(MA)
 }
 \seealso{
   \code{\link{read.rg}}, \code{\link{init.data}}
 }
 \keyword{manip}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
