%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (gene_statistics.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{t.statistic}
 \alias{t.statistic}
 \alias{t.statistic.2}
 \title{t-statistic for differential gene expression}
 \description{
   Calculates p-values for over- or under-expression using t-statistics
   on log(R/G) values.
 }
 \usage{
   t.statistic(RG,centralize=T)
   t.statistic.2(RG,m=NULL,centralize=T)
 }
 \synopsis{t.statistic(RG,centralize=T)}
 \arguments{
   \item{RG}{RG microarray data structure, see \code{\link{read.rg}} }
   \item{centralize}{if TRUE, shifts all experiments before comparison }
   \item{m}{the number of experiments for the first mean tested
     against the the mean of the rest of experiments}
 }
 \details{
   Performs a t-test on log ratio values of each gene, either to test
   against 0 (\code{t.statistic}) or to test the \code{m} first
   experiments against the rest.
 }
 \value{
   List containing:
   \item{p.over, p.under}{p-values of over-, under-expressed genes}
   \item{RG}{the input RG microarray data structure}
 }
 \examples{
   data(trcs)
   RG <- rg.remove.quantile(trcs.RG,0.1,level=1)
   ou <- t.statistic(RG)
   ldf <- data.over.under(ou,pvalue=0.05,method="bonferroni")
   ldf$over
   ou$p.over
 }
 \seealso{
   \code{\link{t.boots}},
   \code{\link{data.over.under}}
 }
 \keyword{htest}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
