%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-02-17 11:27:55.
% Do NOT modify this file, instead modify the source (input.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \name{rg.duplicate.genes}
\alias{rg.duplicate.genes}
 \title{Transforms multiple spots into extra experiments}
 \description{
   Transforms RG structure by adding extra experiments for 
   multiple genes on one array
 }
 \usage{rg.duplicate.genes(RG)}
 \synopsis{rg.duplicate.genes(RG)}
 \arguments{
   \item{RG}{RG microarray data structure, see \code{\link{read.rg}}}
 }
 \details{
   If \code{RG$genes} contains multiple entries for genes, extra
   experiments for these multiple entries are added to \code{RG}. For
   example, if there are 2 genes per array and 6 experiments, after
   addition there are 12 experiments with 1,2 containing the two
   genes from the first experiment, 3,4 from the second, etc
 }
 \value{
   RG structure with genes \code{ind} with experiments added
 }
 \examples{
   data(trcs)
   # generate pseudo second spot on each array:
   RG <- trcs.RG
   dim(RG$R)
   for (i in seq(along=names(RG))[-grep("experiments",names(RG))]) {
     RG[[i]] <- rbind(RG[[i]],RG[[i]])
   }
   dim(RG$R)
   RG <- rg.duplicate.genes(RG)
   dim(RG$R)
 }
 \seealso{
   \code{\link{read.rg}}, \code{\link{init.data}}
 }
 \keyword{manip}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
